%global commit ed74fbc05c007696b31db207d44af1372067ccf9

Name:           api-sanity-checker
Version:        1.98.7
Release:        1%{?dist}
Summary:        An automatic generator of basic unit tests for a shared C/C++ library

License:        GPLv2
URL:            http://forge.ispras.ru/projects/api-sanity-autotest
# https://github.com/lvc/api-sanity-checker/archive/%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  help2man
BuildRequires:  abi-compliance-checker >= 1.98.7
Requires:       abi-compliance-checker >= 1.98.7
Requires:       binutils

%{?perl_default_filter}

%description
API Sanity Checker (ASC) is an automatic generator of basic unit tests for
shared C/C++ libraries. It is able to generate reasonable (in most, but
unfortunately not all, cases) input data for parameters and compose simple
("sanity" or "shallow"-quality) test cases for every function in the API through
the analysis of declarations in header files. The quality of generated tests
allows to check absence of critical errors in simple use cases. The tool is able
to build and execute generated tests and detect crashes (segfaults), aborts, all
kinds of emitted signals, non-zero program return code and program hanging. It
may be considered as a tool for out-of-the-box low-cost sanity checking
(fuzzing) of the library API or as a test development framework for initial
generation of templates for advanced tests. Also it supports universal format of
tests, random test generation mode, specialized data types and other useful
features.


%prep
%setup -q
chmod -x LICENSE


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_bindir}
perl ./Makefile.pl -install --destdir=%{buildroot} --prefix=%{_prefix}

# Create a man page.
mkdir -p %{buildroot}%{_mandir}/man1
help2man -h --info -o %{buildroot}%{_mandir}/man1/api-sanity-checker.1 \
         -N %{buildroot}%{_bindir}/api-sanity-checker
sed -i 's|API(1)|API-SANITY-CHECKER(1)|g' %{buildroot}%{_mandir}/man1/api-sanity-checker.1
sed -i '3,5d' %{buildroot}%{_mandir}/man1/api-sanity-checker.1


%files
%if 0%{?rhel} < 7 || 0%{?fedora} < 21
%doc LICENSE
%else
%license LICENSE
%endif
%doc README doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}


%changelog
* Tue Sep  8 2015 Richard Shaw <hobbes1069@gmail.com> - 1.98.7-1
- Update to latest upstream release.
- Update spec to use license macro on supported branches.
- Remove upstreamed patch.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.98.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Richard Shaw <hobbes1069@gmail.com> - 1.98.6-3
- Fix non-standard permissions on binary (BZ#1131946).

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.98.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar  4 2014 Richard Shaw <hobbes1069@gmail.com> - 1.98.6-1
- Update to latest upstrem release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.98-3
- Perl 5.18 rebuild

* Tue Dec 18 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98-1
- Update to latest upstream release.

* Wed Dec 05 2012 Richard Shaw <hobbes1069@gmail.com> - 1.12.10-1
- Update to latest upstream release.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Richard Shaw <hobbes1069@gmail.com> - 1.12.9-3
- Fix man page generation and license in spec file.

* Tue Mar 13 2012 Richard Shaw <hobbes1069@gmail.com> - 1.12.9-2
- Minor spec fixes and crate man page.

* Tue Jan 10 2012 Richard Shaw <hobbes1069@gmail.com> - 1.12.9-1
- Initial release.
